org.apache.commons.mail

## Class ByteArrayDataSource

- java.lang.Object
- - org.apache.commons.mail.ByteArrayDataSource

- All Implemented Interfaces:
    DataSource

  Deprecated.
  since 1.4, use `ByteArrayDataSource` instead

      @Deprecated
      public class ByteArrayDataSource
      extends Object
      implements DataSource

  This class implements a typed DataSource from:
  - an InputStream
  - a byte array
  - a String

  From version 1.3.1, it is possible to set a name for this DataSource, and it is recommended to do so.

  Since:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUFFER_SIZE` Deprecated. Define the buffer size.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayDataSource(byte[] data, String aType)` Deprecated. Create a datasource from a byte array.
    `ByteArrayDataSource(InputStream aIs, String aType)` Deprecated. Create a datasource from an input stream.
    `ByteArrayDataSource(String data, String aType)` Deprecated. Create a datasource from a String.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()` Deprecated. Get the content type.
    `InputStream` | `getInputStream()` Deprecated. Get the input stream.
    `String` | `getName()` Deprecated. Get the name.
    `OutputStream` | `getOutputStream()` Deprecated. Get the OutputStream to write to.
    `void` | `setName(String name)` Deprecated. Sets the name for this DataSource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUFFER_SIZE

          public static final int BUFFER_SIZE

      Deprecated.
      Define the buffer size.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ByteArrayDataSource

          public ByteArrayDataSource(byte[] data,
                                     String aType)
                              throws IOException

      Deprecated.
      Create a datasource from a byte array.
      Parameters:
        `data` - A byte[].
        `aType` - A String.
      Throws:
        `IOException` - IOException
      Since:
        1.0

    - #### ByteArrayDataSource

          public ByteArrayDataSource(InputStream aIs,
                                     String aType)
                              throws IOException

      Deprecated.
      Create a datasource from an input stream.
      Parameters:
        `aIs` - An InputStream.
        `aType` - A String.
      Throws:
        `IOException` - IOException
      Since:
        1.0

    - #### ByteArrayDataSource

          public ByteArrayDataSource(String data,
                                     String aType)
                              throws IOException

      Deprecated.
      Create a datasource from a String. N.B. assumes the data string can be converted using the charset iso-8859-1.
      Parameters:
        `data` - A String.
        `aType` - A String.
      Throws:
        `IOException` - IOException
      Since:
        1.0

  - ### Method Detail

    - #### getContentType

          public String getContentType()

      Deprecated.
      Get the content type.
      Specified by:
        `getContentType` in interface `DataSource`
      Returns:
        A String.
      Since:
        1.0

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Deprecated.
      Get the input stream.
      Specified by:
        `getInputStream` in interface `DataSource`
      Returns:
        An InputStream.
      Throws:
        `IOException` - IOException
      Since:
        1.0

    - #### setName

          public void setName(String name)

      Deprecated.
      Sets the name for this DataSource.
      Parameters:
        `name` - The name.
      Since:
        1.3.1

    - #### getName

          public String getName()

      Deprecated.
      Get the name.
      Specified by:
        `getName` in interface `DataSource`
      Returns:
        A String.
      Since:
        1.0

    - #### getOutputStream

          public OutputStream getOutputStream()

      Deprecated.
      Get the OutputStream to write to.
      Specified by:
        `getOutputStream` in interface `DataSource`
      Returns:
        An OutputStream
      Since:
        1.0

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.